module Hyrax
  class TombstonesController < ApplicationController
    before_action :set_curation_concern
    
    def update
      if params[:status] == 'tombstone'
        @curation_concern.intialize_tombstone!
      elsif params[:status] == 'restore'
        @curation_concern.restore_tombstone!
      elsif params[:status] == 'confirm'
        @curation_concern.confirm_tombstone!
      end

      redirect_to main_app.polymorphic_path(@curation_concern)
    end

    private

    def set_curation_concern
      @curation_concern = params[:type].constantize.find(params[:id])
    end
  end
end