module RDMSRoles
  def publication_reviewer?
    role = roles.find_by(name: 'publication_reviewer')
    role.present? ? true : false
  end

  def cooperation_reviewer?
    role = roles.find_by(name: 'cooperation_reviewer')
    role.present? ? true : false
  end

  def crc_manager?
    role = roles.find_by(is_crc_manager: true)
    role.present? ? true : false
  end

  def crc_group_manager?
    role = roles.find_by(is_crc_group_manager: true)
    role.present? ? true : false
  end

  def crc_member?
    role = roles.find_by(is_crc_member: true)
    role.present? ? true : false
  end
end